Package org.apache.tools.ant.types.selectors

# Class OrSelector

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.selectors.BaseSelector
org.apache.tools.ant.types.selectors.BaseSelectorContainer
org.apache.tools.ant.types.selectors.OrSelector

All Implemented Interfaces:
  `java.lang.Cloneable`, `ResourceSelector`, `FileSelector`, `SelectorContainer`

    public class OrSelector
    extends BaseSelectorContainer

This selector has a collection of other selectors, any of which have to select a file in order for this selector to select it.

Since:
  1.5

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`OrSelector()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `isSelected​(java.io.File basedir, java.lang.String filename, java.io.File file)` | Returns true (the file is selected) if any of the other selectors agree that the file should be selected.
`java.lang.String` | `toString()` | Convert the Selectors within this container to a string.

### Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelectorContainer

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addExecutable, addFilename, addMajority, addModified, addNone, addNot, addOr, addOwnedBy, addPosixGroup, addPosixPermissions, addPresent, addReadable, addSelector, addSize, addSymlink, addType, addWritable, appendSelector, dieOnCircularReference, getSelectors, hasSelectors, selectorCount, selectorElements, validate`

### Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector

`getError, setError, setError, verifySettings`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.tools.ant.types.selectors.FileSelector

`isSelected`

## Constructor Details

### OrSelector

public OrSelector()

## Method Details

### toString

public java.lang.String toString()
Description copied from class: `BaseSelectorContainer`
Convert the Selectors within this container to a string. This will just be a helper class for the subclasses that put their own name around the contents listed here.

Overrides:
  `toString` in class `BaseSelectorContainer`
Returns:
  a string representation of the selector

### isSelected

public boolean isSelected​(java.io.File basedir, java.lang.String filename, java.io.File file)
Returns true (the file is selected) if any of the other selectors agree that the file should be selected.

Specified by:
  `isSelected` in interface `FileSelector`
Specified by:
  `isSelected` in class `BaseSelectorContainer`
Parameters:
  `basedir` - the base directory the scan is being done from
  `filename` - the name of the file to check
  `file` - a java.io.File object for the filename that the selector can use
Returns:
  whether the file should be selected or not